Cyan Web API - Version 1


GET api/messages?{senderSessionId}&{senderSessionSequence}

            Gets a Message.
            

Request Information

Parameters

NameDescriptionAdditional information
senderSessionId

Define this parameter in the request URI.

senderSessionSequence

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageId": "168294cd-b05e-42f0-a33e-498c4eae707f",
  "tenantId": "562672b2-8083-48c7-8d91-c45fcb662984",
  "messageTypeId": "5aa8167a-a53e-411b-b2f5-913199b206a6",
  "messageTypeLookupKey": "sample string 4",
  "userId": "e2308d74-f87e-4460-ba78-3f3d4c175be2",
  "userGroupId": "3615eadd-43da-450c-8a40-5de2e286ffb4",
  "deviceId": "518f8a12-3edc-4179-b120-0f050e6512a2",
  "deviceGroupId": "059bec0a-572a-4fd8-9ac8-0b50c35bfb72",
  "applicationId": "4319eb38-9f40-49f6-9f86-b06439f9ac63",
  "applicationVersionId": "84d8d426-f415-4ae8-a94e-0edb473c1afc",
  "senderSessionId": "sample string 5",
  "senderSessionSequence": 1,
  "senderCorrelationId": "sample string 6",
  "senderGroup": "sample string 7",
  "senderNote": "sample string 8",
  "body": "sample string 9",
  "storeEncryptedPassword": true,
  "storeHashedPassword": true,
  "messageAuditId": "592a6c91-2436-4b82-96fb-ae6e121fb87a",
  "messageAuditMessageAuditTypeId": "be5ad1f5-c0a3-4138-9677-82fecf4e5686",
  "messageAuditMessageAuditTypeName": "sample string 14",
  "messageAuditMessageAuditTypeLookupKey": "sample string 15",
  "messageAuditText": "sample string 16",
  "messageAuditCreatedDateUtc": "2026-11-13T23:59:46.6851473+00:00",
  "messageAuditUpdatedDateUtc": "2026-11-13T23:59:46.6851473+00:00",
  "cyanId": 18,
  "messageAuditCyanId": 1,
  "resubmitCount": 19,
  "createdDateUtc": "2026-11-13T23:59:46.6851473+00:00",
  "updatedDateUtc": "2026-11-13T23:59:46.6851473+00:00"
}

application/xml, text/xml

Sample:
<MessageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:46.6851473+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:46.6851473+00:00</UpdatedDateUtc>
  <ApplicationId>4319eb38-9f40-49f6-9f86-b06439f9ac63</ApplicationId>
  <ApplicationVersionId>84d8d426-f415-4ae8-a94e-0edb473c1afc</ApplicationVersionId>
  <Body>sample string 9</Body>
  <CyanId>18</CyanId>
  <DeviceGroupId>059bec0a-572a-4fd8-9ac8-0b50c35bfb72</DeviceGroupId>
  <DeviceId>518f8a12-3edc-4179-b120-0f050e6512a2</DeviceId>
  <MessageAuditCreatedDateUtc>2026-11-13T23:59:46.6851473+00:00</MessageAuditCreatedDateUtc>
  <MessageAuditCyanId>1</MessageAuditCyanId>
  <MessageAuditId>592a6c91-2436-4b82-96fb-ae6e121fb87a</MessageAuditId>
  <MessageAuditMessageAuditTypeId>be5ad1f5-c0a3-4138-9677-82fecf4e5686</MessageAuditMessageAuditTypeId>
  <MessageAuditMessageAuditTypeLookupKey>sample string 15</MessageAuditMessageAuditTypeLookupKey>
  <MessageAuditMessageAuditTypeName>sample string 14</MessageAuditMessageAuditTypeName>
  <MessageAuditText>sample string 16</MessageAuditText>
  <MessageAuditUpdatedDateUtc>2026-11-13T23:59:46.6851473+00:00</MessageAuditUpdatedDateUtc>
  <MessageId>168294cd-b05e-42f0-a33e-498c4eae707f</MessageId>
  <MessageTypeId>5aa8167a-a53e-411b-b2f5-913199b206a6</MessageTypeId>
  <MessageTypeLookupKey>sample string 4</MessageTypeLookupKey>
  <ResubmitCount>19</ResubmitCount>
  <SenderCorrelationId>sample string 6</SenderCorrelationId>
  <SenderGroup>sample string 7</SenderGroup>
  <SenderNote>sample string 8</SenderNote>
  <SenderSessionId>sample string 5</SenderSessionId>
  <SenderSessionSequence>1</SenderSessionSequence>
  <StoreEncryptedPassword>true</StoreEncryptedPassword>
  <StoreHashedPassword>true</StoreHashedPassword>
  <TenantId>562672b2-8083-48c7-8d91-c45fcb662984</TenantId>
  <UserGroupId>3615eadd-43da-450c-8a40-5de2e286ffb4</UserGroupId>
  <UserId>e2308d74-f87e-4460-ba78-3f3d4c175be2</UserId>
</MessageRepresentation>